<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: test_node Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">test_node Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for test_node:</div>
<div class="dyncontent">
<div class="center"><img src="structtest__node__coll__graph.png" border="0" usemap="#test__node_coll__map" alt="Collaboration graph"/></div>
<map name="test__node_coll__map" id="test__node_coll__map">
<area shape="rect" id="node2" href="structlist__node.html" title="list_node" alt="" coords="7,5,82,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a06150773a7d4c4780fc577ccc02cb6e6"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlist__node.html">list_node</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__node.html#a06150773a7d4c4780fc577ccc02cb6e6">node</a></td></tr>
<tr class="separator:a06150773a7d4c4780fc577ccc02cb6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4f474c82e82cbb89ca7c36dd52be0ed"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__node.html#ac4f474c82e82cbb89ca7c36dd52be0ed">value</a></td></tr>
<tr class="separator:ac4f474c82e82cbb89ca7c36dd52be0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888bdb4f90bf0fbaa4168ca1824d4cd9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__node.html#a888bdb4f90bf0fbaa4168ca1824d4cd9">value2</a></td></tr>
<tr class="separator:a888bdb4f90bf0fbaa4168ca1824d4cd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a06150773a7d4c4780fc577ccc02cb6e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06150773a7d4c4780fc577ccc02cb6e6">&#9670;&nbsp;</a></span>node</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlist__node.html">list_node</a> node</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4f474c82e82cbb89ca7c36dd52be0ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4f474c82e82cbb89ca7c36dd52be0ed">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int value</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a888bdb4f90bf0fbaa4168ca1824d4cd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888bdb4f90bf0fbaa4168ca1824d4cd9">&#9670;&nbsp;</a></span>value2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int value2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>list/<a class="el" href="test__basic__list_8c.html">test_basic_list.c</a></li>
<li>list/<a class="el" href="test__list_8old_8c.html">test_list.old.c</a></li>
<li>list/<a class="el" href="test__list__mem_8c.html">test_list_mem.c</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
